#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -vv -r sxX -l
export PYBUILD_AFTER_TEST = rm -rfv .pybuild_cache
# drop PyQt5 from requires.txt - see https://bugs.debian.org/890200
#export PYBUILD_AFTER_INSTALL=sed -i '/PyQt5/d' {destdir}{install_dir}/SubDownloader-*.egg-info/requires.txt

%:
	dh $@ --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X ChangeLog

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_sphinx --build-dir $(CURDIR)/.pybuild/

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_python3:
	dh_python3 --requires $(CURDIR)/requirements.txt
